// SPDX-License-Identifier: Unlicense

#ifndef SKYBOX_H
#define SKYBOX_H

#include "configuration.h"

#ifdef SHR3D_ENVIRONMENT_SKYBOX

struct mat4;

namespace Skybox
{
  void init();
  void tick();
  void render(const mat4& viewProjectionSkyboxMat);
}
#endif // SHR3D_ENVIRONMENT_SKYBOX

#endif // SKYBOX_H